Package org.apache.sysds.lops

# Enum Class WeightedSigmoid.WSigmoidType

java.lang.Object
java.lang.Enum<WeightedSigmoid.WSigmoidType>
org.apache.sysds.lops.WeightedSigmoid.WSigmoidType

All Implemented Interfaces:
  `Serializable`, `Comparable<WeightedSigmoid.WSigmoidType>`, `Constable`

Enclosing class:
  WeightedSigmoid

public static enum WeightedSigmoid.WSigmoidType extends Enum<WeightedSigmoid.WSigmoidType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC`
`LOG`
`LOG_MINUS`
`MINUS`

## Method Summary

Modifier and Type
Method
Description
`static WeightedSigmoid.WSigmoidType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedSigmoid.WSigmoidType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC

public static final WeightedSigmoid.WSigmoidType BASIC

### LOG

public static final WeightedSigmoid.WSigmoidType LOG

### MINUS

public static final WeightedSigmoid.WSigmoidType MINUS

### LOG_MINUS

public static final WeightedSigmoid.WSigmoidType LOG_MINUS

## Method Details

### values

public static WeightedSigmoid.WSigmoidType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WeightedSigmoid.WSigmoidType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null